Skip to content

Get Snapshot

GET
/api/v1/projects/{project_id}/snapshots/{ref}
curl --request GET \
--url https://aura.strangeworks.com/api/v1/projects/example/snapshots/example \
--header 'Authorization: Bearer <token>'

Fetch a snapshot by ID or tag name (ID resolution tried first).

project_id
required
Project Id
string
ref
required
Ref
string

Successful Response

Media typeapplication/json
SnapshotDetailResponse

A snapshot plus the list of files captured in it (fetch view).

object
conversation_id
Any of:
string
created_at
required
Created At
string format: date-time
execution_id
Any of:
string
file_count
required
File Count
integer
files
Files
Array<object>
default:
SnapshotFile
object
path
required
Path
string
size
required
Size
integer
id
required
Id
string
kind
SnapshotKind
string
default: solve
Allowed values: solve manual
label
Any of:
string
parent_snapshot_id
Any of:
string
project_id
required
Project Id
string
solution_path
Any of:
string
solution_summary
Any of:
string
tags
Tags
Array<string>
default:
total_size_bytes
required
Total Size Bytes
integer
Example
{
"files": [],
"kind": "solve",
"tags": []
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}